Okay we just upgraded to Win7 64bit and I can install all drivers using firefox but I cannot using IE8. When using IE8 it is like it doesn't see the iprint client so it wants you to install it again. You then click install and then you get a message stating that this is an unsupport client type. This happens in both the 32 and 64 bit IE8.

My WinXP systems still work fine.